## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# celGameFactoryManager Member List

This is the complete list of members for celGameFactoryManager, including all inherited members.

GameInfoReceived(celGameInfo *game_info, csTicks server_latency) | celGameFactoryManager | `[inline, virtual]`
GetClientEventBaseline(celClientEventType event_type) | celGameFactoryManager | `[inline, virtual]`
GetNetworkLinkBaseline(celNetworkLinkType link_type) | celGameFactoryManager | `[inline, virtual]`
GetServerEventBaseline(celServerEventType event_type) | celGameFactoryManager | `[inline, virtual]`
InitClient(iCelGame *game) | celGameFactoryManager | `[inline, virtual]`
InitServer(iCelGame *game) | celGameFactoryManager | `[inline, virtual]`
ServerNetworkStateChanged(celServerNetworkState new_state, celServerNetworkState previous_state, csString reason="")=0 | celGameFactoryManager | `[pure virtual]`